@import 'main/styles/index';

.reset-password {
    @include min-screen-l {
        display: flex;
    }

    &__image {
        position: relative;
        width: 100%;
        height: 110px;
        overflow: hidden;

        @include screen-m {
            height: 100%;
            position: absolute;
            top: 0;
            right: 0;
        }

        @include min-screen-l {
            width: 50%;
            height: 100%;
            position: absolute;
            top: 0;
            right: 0;
        }

        &-icon {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }

    &__content {
        background: $color-background;
        padding: 32px 20px 120px;

        @include screen-m {
            position: relative;
            width: 560px;
            margin: 60px auto 120px;
            padding: 40px 62px 60px;
            border: 1px solid $color-background-main;
        }

        @include screen-l {
            width: 50%;
            padding: 100px 60px;
        }

        @include min-screen-x {
            width: 50%;
            padding: 104px 92px;
        }
    }

    &__email {
        margin-top: 8px;

        @include min-screen-m {
            margin-top: 36px;
        }
    }

    &__confirmation {
        margin-top: 20px;

        @include screen-m {
            margin-top: 24px;
        }

        @include min-screen-l {
            margin-top: 28px;
        }
    }

    &__reset-password {
        margin-top: 20px;

        @include min-screen-m {
            margin-top: 36px;
        }

        .button {
            width: 100%;
            padding: 13px 29px;

            @include screen-m {
                width: 161px;
            }

            @include min-screen-l {
                width: 228px;
                padding: 15px 29px;
            }
        }
    }

    &__sign-in {
        @include font-yantramanav-light;
        @include font-size-12;

        margin-top: 26px;

        @include screen-m {
            @include font-size-16;

            margin-top: 30px;
        }

        @include min-screen-l {
            @include font-size-16;

            margin-top: 44px;
        }
    }
}
